Skip to main content
GET
/
api
/
search
/
grep
(Auth policies: ApiKeyOrJwt)
curl --request GET \
  --url https://app.codealive.ai/api/search/grep \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "kind": "<string>",
      "dataSource": {
        "type": "<string>",
        "id": "<string>",
        "name": "<string>"
      },
      "identifier": "<string>",
      "location": {
        "path": "<string>",
        "range": {
          "start": {
            "line": 123,
            "character": 123
          },
          "end": {
            "line": 123,
            "character": 123
          }
        }
      },
      "startLine": 123,
      "endLine": 123,
      "score": 123,
      "contentByteSize": 123,
      "matchCount": 123,
      "matches": [
        {
          "lineNumber": 123,
          "startColumn": 123,
          "endColumn": 123,
          "lineText": "<string>",
          "remark": "<string>",
          "contextLines": [
            {
              "lineNumber": 123,
              "lineText": "<string>"
            }
          ]
        }
      ],
      "matchedByName": true,
      "summary": "<string>"
    }
  ],
  "pathFilter": "<unknown>"
}

Authorizations

Authorization
string
header
required

API Key authentication using Bearer token. Example: "Authorization: Bearer {apiKey}"

Headers

CodeAlive-Version
string

Query Parameters

Query
string
DataSourceIds
string[]
Names
string[]
Paths
string[]
Extensions
string[]
MaxResults
integer<int32>
Regex
boolean
ExcludeMarkdown
boolean

Response

OK

results
object[] | null
pathFilter
any